Subject: Re: [RFC PATCH] Make the rebase edit mode really end up in an edit state

From: Johan Herland <[email-masked]>
Date: Thu, 15 Jan 2009 11:01:53 +0100

On Thursday 15 January 2009, Johannes Sixt wrote:
> Johannes Schindelin schrieb:
> > On Thu, 15 Jan 2009, Anders Melchiorsen wrote:
> >> Previously, the interactive rebase edit mode placed the user after the
> >> commit in question. That was awkward because a commit is supposedly
> >> immutable. Thus, she was forced to use "git commit --amend" for her
> >> changes.
> >
> > Maybe, maybe not.  I frequently rebase with "edit" when I actually mean
> > "stop" (but "s" was taken from "squash" already).  Then I test things,
> > possibly fixing them.
> >
> > So in that case, I do not want a git reset --soft HEAD^.
>
> Absolutely! I use "edit" for this purpose as well quite frequently.

What about providing both options?

"modify" does the "git reset --soft HEAD^" (Anders' suggestion)
"amend" requires a "git commit --amend" (current behaviour)
"edit" == "amend", but is deprecated and goes away in the future

...Johan

-- 
Johan Herland, <[email-masked]>
www.herland.net